RubyGems Navigation menu

rubocop 0.59.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.48.1 - March 13, 2023 (584 KB)
  2. 1.48.0 - March 06, 2023 (584 KB)
  3. 1.47.0 - March 01, 2023 (582 KB)
  4. 1.46.0 - February 22, 2023 (580 KB)
  5. 1.45.1 - February 08, 2023 (580 KB)
  6. 0.59.1 - September 15, 2018 (399 KB)
Show all versions (235 total)

Runtime Dependencies (7):

jaro_winkler ~> 1.5.1
parallel ~> 1.10
parser != 2.5.1.1, >= 2.5
powerpack ~> 0.1
rainbow < 4.0, >= 2.2.2
unicode-display_width >= 1.0.1, ~> 1.0

Development Dependencies (2):

bundler ~> 1.3
rack >= 2.0

Owners:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

4b449177a369193559dabbbbd4fff967c1b2bd817bd78134b6082f1d1dd5e443

Total downloads 310,597,199

For this version 808,554

License:

MIT

Required Ruby Version: >= 2.2.0

New versions require MFA: true

Links: